#include <stdio.h>
int main(){
	long N;
	int i,j;
	scanf("%li",&N);
	double A[N],P[N],max=0;
	double rez;
	for(i=0;i<N;i++){
		scanf("%lf",&A[i]);
		scanf("%lf",&P[i]);
	}
	
	for(i=0;i<N;i++){
		rez=0;
		for(j=0;j<N;j++){
			if(P[i]<=P[j]){
				rez=rez+A[j]*P[i]/100;
			}
		}
		if(rez>max)
			max=rez;
	}
	printf("%lf",max);
	
	return 0;
}